// iniview.h : interface of the CIniView class
//
/////////////////////////////////////////////////////////////////////////////

class CIniView : public CFormView
{
protected: // create from serialization only
	CIniView();
	DECLARE_DYNCREATE(CIniView)

public:
	//{{AFX_DATA(CIniView)
	enum { IDD = IDD_INI_FORM };
	CString	m_strConvTime;
	CString	m_strTestIniFile;
	CString	m_strTestCompFile;
	CString	m_strIniLongerTime;
	CString	m_strIniShorterTime;
	CString	m_strIniGetAllTime;
	CString	m_strCFLongerTime;
	CString	m_strCFShorterTime;
	CString	m_strCFGetAllTime;
	//}}AFX_DATA
	CStringArray m_rgSections;
	CStringArray m_rgEntries;
	CStringArray m_rgValues;
	
// Attributes
public:
	CIniDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CIniView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	
	virtual void OnUpdate (CView* pSender, LPARAM lHint, CObject* pHint);
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Generated message map functions
protected:
	//{{AFX_MSG(CIniView)
	afx_msg void OnSelchangeSections();
	afx_msg void OnGetEntries();
	afx_msg void OnWriteShorter();
	afx_msg void OnWriteLonger();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in iniview.cpp
inline CIniDoc* CIniView::GetDocument()
   { return (CIniDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
